import React from 'react';
import PropTypes from 'prop-types';
import { Icon } from 'cf-component-icon';
import { createComponent } from 'cf-style-container';

var Wrapper = createComponent(function (_ref) {
  var theme = _ref.theme;
  return {
    borderRight: '1px solid ' + theme.color.smoke,
    padding: '1.2em 1.1em 1em 1.1em',
    '-webkit-tap-highlight-color': 'rgba(0, 0, 0, 0)',
    userSelect: 'none',
    cursor: 'pointer',
    tabletWide: {
      display: 'none'
    }
  };
}, 'div', ['onClick']);
Wrapper.setDisplayName('Wrapper');

var Hamburger = function Hamburger(_ref2) {
  var onClick = _ref2.onClick,
      label = _ref2.label;
  return React.createElement(
    Wrapper,
    { onClick: onClick },
    React.createElement(Icon, { label: label, size: '1.5x', type: 'hamburger' })
  );
};

Hamburger.propTypes = {
  label: PropTypes.string,
  onClick: PropTypes.func.isRequired
};

Hamburger.defaultProps = {
  label: 'Open the menu'
};

export default Hamburger;