import PropTypes from 'prop-types';
import { createComponent } from 'cf-style-container';

var Header = createComponent(function (_ref) {
  var theme = _ref.theme,
      sticky = _ref.sticky;
  return {
    backgroundColor: theme.colorWhite,
    display: 'flex',
    justifyContent: 'space-between',
    color: theme.color.charcoal,
    height: 63,
    top: 0,
    left: 0,
    position: sticky ? 'fixed' : 'static',
    width: '100%',
    borderTop: '3px solid ' + theme.color.cfOrange,
    borderBottom: '1px solid ' + theme.color.dust,
    zIndex: 1200
  };
}, 'header');
Header.setDisplayName('Header');

Header.propTypes = {
  children: PropTypes.node.isRequired,
  sticky: PropTypes.bool
};

export default Header;