'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _cfComponentIcon = require('cf-component-icon');

var _cfStyleContainer = require('cf-style-container');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Wrapper = (0, _cfStyleContainer.createComponent)(({ theme }) => ({
  borderRight: `1px solid ${theme.color.smoke}`,
  padding: '1.2em 1.1em 1em 1.1em',
  '-webkit-tap-highlight-color': 'rgba(0, 0, 0, 0)',
  userSelect: 'none',
  cursor: 'pointer',
  tabletWide: {
    display: 'none'
  }
}), 'div', ['onClick']);
Wrapper.setDisplayName('Wrapper');

const Hamburger = ({ onClick, label }) => _react2.default.createElement(
  Wrapper,
  { onClick: onClick },
  _react2.default.createElement(_cfComponentIcon.Icon, { label: label, size: '1.5x', type: 'hamburger' })
);

Hamburger.propTypes = {
  label: _propTypes2.default.string,
  onClick: _propTypes2.default.func.isRequired
};

Hamburger.defaultProps = {
  label: 'Open the menu'
};

exports.default = Hamburger;