'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _cfStyleContainer = require('cf-style-container');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Header = (0, _cfStyleContainer.createComponent)(({ theme, sticky }) => ({
  backgroundColor: theme.colorWhite,
  display: 'flex',
  justifyContent: 'space-between',
  color: theme.color.charcoal,
  height: 63,
  top: 0,
  left: 0,
  position: sticky ? 'fixed' : 'static',
  width: '100%',
  borderTop: `3px solid ${theme.color.cfOrange}`,
  borderBottom: `1px solid ${theme.color.dust}`,
  zIndex: 1200
}), 'header');
Header.setDisplayName('Header');

Header.propTypes = {
  children: _propTypes2.default.node.isRequired,
  sticky: _propTypes2.default.bool
};

exports.default = Header;